package dk.apaq.filter.jpa;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

/**
 *
 */
public class WhereClause {
    private StringBuilder statement = new StringBuilder();
    private Map<String, Object> parameterMap = new HashMap<String, Object>();

    public void appendStatement(String jpql) {
        statement.append(jpql);
    }

    public void insertStatement(int index, String jpql) {
        statement.insert(index, jpql);
    }

    public void appendParameter(String parameter, Object value) {
        parameterMap.put(parameter, value);
    }

    public int getStatementLength() {
        return statement.length();
    }


    public String getStatement() {
        return statement.toString();
    }

    public Map<String, Object> getParameters() {
        return Collections.unmodifiableMap(parameterMap);
    }
}
